%define initdir /etc/init.d

Summary: PPP Over Ethernet (xDSL support)
Name: rp-pppoe
Version: 2.6
Release: 1.0.1
Copyright: GPL
Group: System Environment/Daemons
Source: http://www.roaringpenguin.com/rp-pppoe-%{version}.tar.gz
Source1: README_T-DSL
Source2: pppoe.init
Patch1: rp-pppoe-2.6-config.patch
Url: http://www.roaringpenguin.com/pppoe.html
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
Prereq: /sbin/chkconfig /sbin/service /etc/init.d
Requires: ppp >= 2.3.13, kernel >= 2.2.9, initscripts >= 5.56

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. Roaring Penguin has a free
client for Linux systems to connect to PPPoE service providers.

The client is a user-mode program and does not require any kernel
modifications. It is fully compliant with RFC 2516, the official PPPoE
specification.

%prep
%setup -q
%patch1 -p1 -b .config

%build
autoconf
CFLAGS="-D_GNU_SOURCE" %configure
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{initdir}
make install RPM_INSTALL_ROOT=$RPM_BUILD_ROOT 
cp %{SOURCE1} .
cp %{SOURCE2} $RPM_BUILD_ROOT%{initdir}/pppoe

%post
/sbin/chkconfig --add pppoe

%preun
if [ "$1" = "0" ]; then
  /sbin/service pppoe stop > /dev/null 2>&1
  /sbin/chkconfig --del pppoe
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service pppoe condrestart > /dev/null 2>&1
fi
                   
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES HOW-TO-CONNECT LICENSE README README_T-DSL
%config(noreplace) /etc/ppp/pppoe-server-options
%attr(600,root,root) %config(noreplace) /etc/ppp/pppoe.conf
%attr(755,root,root) %config %{initdir}/pppoe
%{_sbindir}/*
%{_mandir}/man?/*

%changelog
* Wed Apr 18 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.6, Release 1.0.1
  - Initial build for EnGarde.
* Thu Mar 15 2001 Than Ngo <than@redhat.com>
- fix BOOT enviroment again, it should work fine now 

* Wed Mar 14 2001 Than Ngo <than@redhat.com>
- fix bug in adsl-setup (DEVICE enviroment)

* Thu Feb 08 2001 Than Ngo <than@redhat.com>
- fixed a problem in startup (Bug #26454)
- fixed i18n in initscript (Bug #26540)

* Sat Feb 03 2001 Than Ngo <than@redhat.com>
- updated to 2.6
- some fixes in pppoe script

* Fri Feb 02 2001 Than Ngo <than@redhat.com>
- fixed starting pppoe service at boot time. (Bug #25494)

* Sun Jan 28 2001 Than Ngo <than@redhat.com>
- fixed so that pppoe script does not kill adsl connection when
  the runlevel is changed. 
- remove excludearch ia64

* Tue Jan 23 2001 Than Ngo <than@redhat.com>
- hacked for using USEPEERDNS

* Mon Dec 11 2000 Than Ngo <than@redhat.com>
- updated to 2.5, it fixes a denial-of-service vulnerability

* Tue Aug 08 2000 Than Ngo <than@redhat.de>
- fix german configuration HOWTO to T-DSL

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- fixes for starting pppd under /usr/sbin
- added german configuration HOWTO to T-DSL

* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- update to 2.2

* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- fixed initscripts so that condrestart doesn't return 1 when the test fails

* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- update to 2.1
- don't detect pppd for building

* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- rename the rp-pppoe startup script (Bug #14734)

* Wed Jul 26 2000 Bill Nottingham <notting@redhat.com>
- don't run by default; it hangs if not configured

* Tue Jul 25 2000 Bill Nottingham <notting@redhat.com>
- prereq /etc/init.d (it's referenced in the initscript)

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- inits back to rc.d/init.d, using service to fire them up

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul 08 2000 Than Ngo <than@redhat.de>
- add Prereq: /etc/init.d

* Fri Jun 30 2000 Than Ngo <than@redhat.de>
- turned off deamon by default

* Tue Jun 27 2000 Than Ngo <than@redhat.de>
- don't prereq, only require initscripts

* Mon Jun 26 2000 Than Ngo <than@redhat.de>
- /etc/rc.d/init.d -> /etc/init.d
- add condrestart directive
- fix post/preun/postun scripts
- prereq initscripts >= 5.20

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- use RPM macros
- rebuilt in the new build environment

* Wed May 31 2000 Than Ngo <than@redhat.de> 
- adopted for Winston.
